#ifndef MAIN_H
#define MAIN_H

// Defines hier sind nur die fuer main.c !!!

#undef BENCHMARK_PLASMASETUP
// wenn defined, wird im 1. Teil fuer jeden Frame ein neues Plasma erzeugt

#define ZOOM 0.90
// wie gross im Vergleich zum letzten Schritt soll der Ausschnitt
// beim Apfelmaennchen jeweils werden?
#define STEPS 100
// wieviele Zoomschritte soll das Apfelmaennchen machen, bevor der
// Zoom wieder schwaecher wird?
#define INVSTEPS -42 /* dasselbe in die andere Richtung */
#define ZIEL1 1.0  /* Zielwahl Apfelmaennchen: bisher [-]{1.0,42.0} mgl. */
#define ZIEL2 42.0 /* negative Werte brauchen viele Iter bei hohem Zoom  */

#include <stdio.h>
/* #include <stdlib.h> */
#include <math.h>

#include "typen.h"
#include "grafik.h"

#include "fps.h"
#include "oss.h"

#include "musik.h"
#include "testmuster.h"   // hat DSPTEST define und optionales dsp2derive()
#include "laser.h"        // hat LA_TRAIL und LA_COLORS define
#include "starfield_3d.h" // hat STARS und ST_COLORS define
#include "fire.h"         // hat ALGO und DSP define
#include "apfelmann.h"    // hat APF_ITER und BIG_APF_PIXELS define
#include "plasma.h"       // hat STARTRND define
#include "interferenz.h"  // hat INTER_BIGPIX define

#include "warper.h"

#endif
